import { Pipe, PipeTransform } from '@angular/core';
import { AuditSymbol } from '../models/audit-symbols';
import { AuditSymbolsService } from '../services/audit-symbols.service';

@Pipe({ name: 'courseNote' })
export class CourseNotePipe implements PipeTransform {
  constructor(public symbols: AuditSymbolsService) { }

  public transform(notes: string | null): AuditSymbol[] {
    if (notes === null) {
      return [];
    }

    const symbols: AuditSymbol[] = this.symbols.getByTaxonomy('course');

    return symbols.reduce((acc, symbol) => {
      return notes.includes(symbol.text) ? [...acc, symbol] : acc;
    }, []);
  }
}
